package com.qmth.boot.core.rateLimit.service;

import com.qmth.boot.core.rateLimit.entity.RateLimitRule;

/**
 * 限流执行服务
 */
public interface RateLimitService {

    /**
     * 根据控制点、访问对象、限流规则获取限流器
     *
     * @param endpoint
     * @param target
     * @param rule
     * @return
     */
    RateLimiter getRateLimiter(String endpoint, String target, RateLimitRule rule);

}
