package com.qmth.boot.core.solar.config;

import com.qmth.boot.core.retrofit.annotatioin.RetrofitScan;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@Configuration
@ComponentScan("com.qmth.boot.core.solar")
@RetrofitScan("com.qmth.boot.core.solar")
public class SolarAutoConfiguration {

    @Bean
    public SolarApiConfiguration solarApiConfiguration(SolarProperties solarProperties) {
        return new SolarApiConfiguration(solarProperties);
    }
}
